{{ ansible_managed }}
frr defaults datacenter
hostname {{ inventory_hostname }}
username cumulus nopassword
!
service integrated-vtysh-config
!
log syslog informational
!
{% for vni in l3vnis %}
vrf {{ vni.vrf }}
 vni {{ vni.id }}
{% endfor %}
!
{% for vni in l2vnis %}
{% if devices[inventory_hostname].interfaces.svis[vni.vlan] is defined %}
interface vlan{{ vni.vlan}}-v0 vrf {{ devices[inventory_hostname].interfaces.svis[vni.vlan].vrf }} 
 ipv6 nd managed-config-flag
 ipv6 nd other-config-flag
 ipv6 nd prefix {{ devices[inventory_hostname].interfaces.svis[vni.vlan].ipv6_prefix }} 
 ipv6 nd ra-interval 10
 ipv6 nd ra-lifetime 120
 no ipv6 nd suppress-ra
{% endif %}
{% endfor %}
!
router bgp {{ devices[inventory_hostname].routing.bgp.asn }}
 bgp router-id {{ devices[inventory_hostname].interfaces.loopback.ipv4|ipaddr('address') }}
 neighbor underlay peer-group
 neighbor underlay remote-as external
{% for interface in fabric_links %}
 neighbor {{ interface }} interface peer-group underlay
{% endfor %}
{% if devices[inventory_hostname].routing.bgp.roh is defined %}
{% for interface in devices[inventory_hostname].routing.bgp.roh %}
 neighbor {{ interface }} interface peer-group underlay
{% endfor %}
{% endif %}
 neighbor peerlink.4094 interface remote-as external 
 !
 address-family ipv4 unicast
  redistribute connected route-map loopbacks
 exit-address-family
 !
 address-family l2vpn evpn
  neighbor underlay activate
  advertise-all-vni
 exit-address-family
!
route-map loopbacks permit 10
 match interface lo
!
line vty
!
